NAME Fuzzy Lummox Mare
NAM2 a fuzzy lummox mare
ICON items/s_items1.jpg 41
GFXP items/l_life1.jpg 9
FLAG life unique
DIST cold warm hot
TEXT This is a large multi-legged pachyderm with shaggy gray fur. Good breeding stock, if you have a stallion to go with it.
COST 200 lifeforms
TYPE other